Get Context
curl --request POST \
--url https://api.ontora.com/v1/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"vault_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"top_k": 20
}
'import requests
url = "https://api.ontora.com/v1/context"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"vault_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"top_k": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
prompt: '<string>',
vault_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
top_k: 20
})
};
fetch('https://api.ontora.com/v1/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}query
Get Context
Return raw context (chunks + facts) without LLM answer - for frontend AI SDK.
POST
/
v1
/
context
Get Context
Was this page helpful?
⌘I